Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface LocaleEncodingMappingListType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  LocaleEncodingMappingListTypeImpl

    public interface LocaleEncodingMappingListType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `locale-encoding-mapping-listType` xsd type

Original Documentation:

The locale-encoding-mapping-list contains one or more
locale-encoding-mapping(s).

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<LocaleEncodingMappingType<LocaleEncodingMappingListType<T>>>` | `getLocaleEncodingMappingList()` Returns all `locale-encoding-mapping` elements
`LocaleEncodingMappingType<LocaleEncodingMappingListType<T>>` | `localeEncodingMapping()` Returns the `locale-encoding-mapping` element
`LocaleEncodingMappingListType<T>` | `removeAllLocaleEncodingMapping()` Removes all `locale-encoding-mapping` elements

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllLocaleEncodingMapping

    LocaleEncodingMappingListType<T> removeAllLocaleEncodingMapping()

  Removes all `locale-encoding-mapping` elements

  Returns:
    the current instance of `LocaleEncodingMappingListType`

### localeEncodingMapping

    LocaleEncodingMappingType<LocaleEncodingMappingListType<T>> localeEncodingMapping()

  Returns the `locale-encoding-mapping` element

  Returns:
    the node defined for the element `locale-encoding-mapping`

### getLocaleEncodingMappingList

    java.util.List<LocaleEncodingMappingType<LocaleEncodingMappingListType<T>>> getLocaleEncodingMappingList()

  Returns all `locale-encoding-mapping` elements

  Returns:
    list of `locale-encoding-mapping`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD